<?php
/*======================================================================*\
|| #################################################################### ||
|| # vBulletin-Entertain Version 0.0.1 beta 2
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2007-2011, AddOn-Coders (http://www.addon-coders.de)  # ||
|| # ---------------------------------------------------------------- # ||
|| # Dateiname/filename: functions_vblinkfetch.php	   	      # ||
|| # ---------------------------------------------------------------- # ||
|| # Support nur unter http://www.vbulletin-germany.org 	      # ||
|| # ---------------------------------------------------------------- # ||
|| # Dieses ist keine freie Software! nderungen, unerlaubtes Nutzen  # ||
|| # oder unerlaubte Verbreitung sind nicht erlaubt (auch nicht in    # ||
|| # Auszgen oder Einzelteilen) - This is not free software, changes # ||
|| # in and unallowed use of (parts from) this script is not allowed! # ||
|| #################################################################### ||
\*======================================================================*/

/**
* Fetch informations of defined category (html/bbcode/etc)
*
* @param	integer	catid of specific categorie
*
* @return 	boolean	status of information
*/
function &fetch_entertain_catinfo(&$catid)
{
	global $vbulletin;

	if ($vbulletin->vbentertain['categories']["$catid"])
	{
		return $vbulletin->vbentertain['categories']["$catid"];
	}
	else
	{
		return false;
	}
}

/**
* Check permissions to show category to specified usergroups
*
* @param	int	catid	id of specified category
* @param	bool	rec	Check perms of parent categories also or not
*
* @return	boolean	true/false if allowed or not
*/
function fetch_entertain_catpermission($catid, $rec = true)
{
	global $vbulletin;

	$cat =& fetch_entertain_catinfo($catid);

	if (!$rec)
	{
		return ($cat['groupshow'] ? true : is_member_of($vbulletin->userinfo, explode(',', $cat['groupshowlist'])));
	}

	// show this category to this usergroup only?
	if (!$cat['groupshow'])
	{
		if (is_member_of($vbulletin->userinfo, explode(',', $cat['groupshowlist'])))
		{
			return (($cat['parentid'] != -1) ? fetch_entertain_catpermission($cat['parentid']) : true);
		}

		return false;
	}
	else
	{
		return (($cat['parentid'] != -1) ? fetch_entertain_catpermission($cat['parentid']) : true);
	}
}

?>